# Changelog

## 2025-01-29 - 2.2.1 - fix(index)
Export mod_assets for programmatic use

- Added export for mod_assets/index in ts/index.ts to make it usable programmatically.

## 2025-01-29 - 2.2.0 - feat(AssetsHandler)
Add asset handling to the CLI workflow

- Introduced AssetsHandler class for managing asset directories and files.
- Updated tsbundle.cli.ts to include asset processing in the 'website' command.

## 2025-01-28 - 2.1.1 - fix(core)
Update dependencies and remove GitLab CI configuration.

- Updated several devDependencies to newer versions for improved stability and performance.
- Updated core dependencies including esbuild and TypeScript.
- Removed the .gitlab-ci.yml file, which could suggest a change in continuous integration setup.

## 2024-10-27 - 2.1.0 - feat(mod_esbuild)
Add alias support to esbuild bundling process

- Updated dependencies in package.json to latest versions.
- Improved build process by adding alias resolution based on tsconfig.json settings in esbuild.

## 2022-05-04 - 2.0.0-2.0.1 - Breaking and Fix Changes
Released version 2.0.0 with breaking changes and subsequent fixes.

- BREAKING CHANGE(core): Removed parcel and rollup
- fix(core): Addressed initial issues in new major version

## 2023-10-03 - 2.0.10 - Fix Updates
Ongoing updates and improvements.

- fix(core): General updates and enhancements

## 2024-01-10 - 2.0.11-2.0.15 - Minor Fixes
Cumulative fixes and updates from recent releases.

- fix(core): Continuous improvement cycle across versions

